
Redmine - Patch #24189

Time entry form - limit issue autocomplete to already selected project

2016-10-28 10:06 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.4.0   

Description

When creating a new time entry via /time_entries/new (that is, outside the scope of a project), the issue autocompleter always

searches across all projects of the user, even if a project has already been selected in the dropdown above. Selecting an issue of

another project here will lead to a validation error and should therefore prevented by only offering issues of the selected project.

The attached patch developed at Planio solves this by providing the autocompleter with a function (instead of the static URL), which

dynamically constructs the scope and project_id parameters according to the user's project selection.

Associated revisions

Revision 16082 - 2016-12-16 09:42 - Jean-Philippe Lang

Time entry form - limit issue autocomplete to already selected project (#24189).

Patch by Jens Kraemer.

History

#1 - 2016-11-17 01:33 - Go MAEDA

- Target version set to 3.4.0

This patch works fine for me. The candidates displayed on the screen is only the issues of the selected project.

Setting target version to 3.4.0.

#2 - 2016-12-16 09:43 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#3 - 2016-12-16 09:43 - Jean-Philippe Lang

- Subject changed from time entry form - limit issue autocomplete to already selected project to Time entry form - limit issue autocomplete to already

selected project

Files

0001-dynamically-build-the-autocomplete-url-294652.patch 1.8 KB 2016-10-28 Jens Krämer
